> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all active prices

> Get a paginated list of active and scheduled prices. Active prices have start date greater than the current date and end date is in the future.



## OpenAPI

````yaml prices.openapi get /prices
openapi: 3.0.0
info:
  title: Offers - Prices
  description: >-
    fabric Pricing endpoints let you create and manage price details for one or
    more items. You can configure the prices endpoints to include your default
    price list in all requests.
  version: 3.0.0
  x-audience: external-public
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    name: Offers support
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://api.fabric.inc/v3
    description: Production environment
security: []
externalDocs:
  description: Find out more about Offers
  url: https://developer.fabric.inc/docs/offers-overview
paths:
  /prices:
    get:
      tags:
        - Prices
      summary: Get all active prices
      description: >-
        Get a paginated list of active and scheduled prices. Active prices have
        start date greater than the current date and end date is in the future.
      operationId: getPrices
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xClientId'
        - $ref: '#/components/parameters/xFabricRequestId'
        - $ref: '#/components/parameters/queryParameterSize'
        - $ref: '#/components/parameters/queryParameterOffset'
        - $ref: '#/components/parameters/queryParameterPriceListId'
      responses:
        '200':
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getPricesResponse'
              examples:
                listPrice:
                  $ref: '#/components/examples/listPrice'
                listPriceWithRange:
                  $ref: '#/components/examples/listPriceRange'
        '400':
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/missingTenantHeader'
                  - $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '404':
          description: Not Found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceListNotFound'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponse'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
      security:
        - AuthorizationToken: []
components:
  parameters:
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      schema:
        type: string
        minLength: 24
        maxLength: 24
      required: true
      example: 5f328bf0b5f328bf0b5f328b
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
    xFabricChannelId:
      in: header
      name: x-fabric-channel-id
      schema:
        type: string
        example: '12'
      description: >-
        x-fabric-channel-id identifies the sales channel through which the API
        request is being made; primarily for multichannel use cases. It is a
        required field.
    xClientId:
      in: header
      name: x-client-id
      schema:
        type: string
      required: false
      example: copilot
      description: >-
        A unique identifier obtained from
        [Copilot](/v3/platform/settings/api-apps/getting-system-app-credentials)
        for the System app in the fabric ecosystem, essential for OpenID Connect
        authentication flows.
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: A unique request ID.
      required: false
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
    queryParameterSize:
      name: size
      in: query
      description: The maximum number of records per page.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        default: 10
        maximum: 100
    queryParameterOffset:
      name: offset
      in: query
      description: >-
        The number of records to skip before returning records. For example,
        with an offset of 20 and limit of 10, you will get records from 21 to
        30.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 0
        example: 0
        default: 0
    queryParameterPriceListId:
      name: priceListId
      in: query
      description: >-
        The price list ID to which the item belongs. If not provided, the
        default price list is used.
      required: false
      schema:
        type: integer
        format: int32
        example: 100000
  headers:
    xFabricRequestIdResponse:
      description: Unique request ID
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  schemas:
    getPricesResponse:
      type: object
      properties:
        query:
          $ref: '#/components/schemas/offsetQuery'
        data:
          type: array
          description: An array containing price details.
          items:
            allOf:
              - $ref: '#/components/schemas/priceMetadata'
              - type: object
                required:
                  - offers
                properties:
                  offers:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/priceWithOffersMetaData'
                        - type: object
    missingTenantHeader:
      type: object
      description: Tenant header is missing
      properties:
        type:
          description: The error code.
          type: string
          example: TENANT_HEADER_REQUIRED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: x-fabric-tenant-id header is required
    error400:
      type: object
      description: Bad request error
      properties:
        type:
          description: The error code.
          type: string
          example: BAD_REQUEST
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Bad request
    error401:
      type: object
      description: Unauthorized error
      properties:
        type:
          description: The error code.
          type: string
          example: UNAUTHORIZED
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Invalid credentials
    priceListNotFound:
      type: object
      description: Price list not found error
      properties:
        type:
          description: The error code.
          type: string
          example: PRICE_LIST_NOT_FOUND
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: No price list found with this ID
    error500:
      type: object
      description: Internal server error
      properties:
        type:
          description: The error code.
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: An error message corresponding to the `type`.
          type: string
          example: Internal server error
    offsetQuery:
      type: object
      description: Provides pagination data.
      properties:
        size:
          type: integer
          format: int32
          example: 10
          minimum: 1
          maximum: 100
          default: 10
          description: The maximum number of records per page.
        offset:
          type: integer
          format: int32
          example: 10
          minimum: 0
          default: 0
          description: >-
            The number of records to skip before returning records. For example,
            with an offset of 20 and limit of 10, you will get records from 21
            to 30.
        count:
          type: integer
          format: int32
          example: 50
          description: The total number of available records.
    priceMetadata:
      type: object
      required:
        - priceListId
        - createdAt
        - updatedAt
      properties:
        isDeleted:
          $ref: '#/components/schemas/isDeleted'
        itemId:
          type: integer
          format: int32
          description: The assigned product item ID the price is retrieved for.
          example: 1000000051
        itemSku:
          type: string
          description: The assigned product SKU the price is retrieved for.
          example: SKU123456
        priceListId:
          type: integer
          format: int32
          description: >-
            The price list ID for retrieving prices for the specified `itemId`
            and `itemSku`.
          example: 100000
        channelId:
          description: Channel ID
          type: string
          example: '12'
        currency:
          description: The currency type set for the price list.
          type: string
          example: USD
        createdAt:
          $ref: '#/components/schemas/createdAt'
        updatedAt:
          $ref: '#/components/schemas/updatedAt'
    priceWithOffersMetaData:
      type: object
      description: Price details including offer price
      required:
        - startAt
        - endAt
        - price
      properties:
        startAt:
          type: string
          description: The timestamp of when the adjusted price starts.
          format: date-time
          example: '2020-02-02T17:22:48.570Z'
        endAt:
          type: string
          description: The timestamp of when the adjusted price ends.
          format: date-time
          example: '2020-02-02T17:22:48.570Z'
        price:
          type: object
          description: Price details
          required:
            - base
          properties:
            base:
              description: >-
                Item base price. It's the minimum fixed price of the item before
                any taxes or other charges added.
              type: number
              nullable: true
              format: double
              example: 2.99
            sale:
              description: >-
                Item sale price. It's the discounted price at which the item is
                sold to clear inventory.
              type: number
              nullable: true
              format: double
              example: 99.99
            cost:
              description: >-
                Cost of the item set by the manufacturer. It's the amount that
                costs the manufacturer to produce or acquire the product.
              type: number
              nullable: true
              format: double
              example: 149
    isDeleted:
      type: boolean
      description: |
        `true`: The price is deleted

        `false`: The price isn't deleted
      example: false
    createdAt:
      type: string
      format: date-time
      description: The timestamp when the price was created.
      example: '2019-08-20T14:15:22.000Z'
    updatedAt:
      type: string
      format: date-time
      description: The timestamp when the price was last updated.
      example: '2019-08-20T14:15:22.000Z'
  examples:
    listPrice:
      value:
        query:
          size: 10
          offset: 0
          count: 34
        data:
          - priceListId: 100000
            itemId: 10000001
            itemSku: SKU0123456
            isDeleted: false
            channelId: '12'
            currency: USD
            offers:
              startAt: '2019-08-24T14:15:22.000Z'
              endAt: '2019-08-25T14:15:22.000Z'
              price:
                base: 299.99
                sale: 199.99
                cost: 148.99
            createdAt: '2019-08-20T14:15:22.000Z'
            updatedAt: '2019-08-20T14:15:22.000Z'
    listPriceRange:
      value:
        query:
          size: 10
          offset: 0
          count: 34
        data:
          - priceListId: 100000
            itemId: 10000001
            itemSku: SKU0123456
            isDeleted: false
            channelId: '12'
            currency: USD
            offers:
              startAt: '2019-08-24T14:15:22.000Z'
              endAt: '2019-08-25T14:15:22.000Z'
              price:
                base: 299.99
                sale: 199.99
                cost: 148.99
              priceRange:
                priceMethodType: QUANTITY_PRICING
                ranges:
                  - minQuantity: 1
                    price: 20.75
                priceAddons:
                  - id: 61118
                    name: BuildMotor
                    price: 458.97
            createdAt: '2019-08-20T14:15:22.000Z'
            updatedAt: '2019-08-20T14:15:22.000Z'
  securitySchemes:
    AuthorizationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````